<?php
// disable direct access
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// create shortcode
function vskb_shortcode( $vskb_atts ) {
	// attributes
	$vskb_atts = shortcode_atts(array(
		'class' => '',
		'columns' => '4',
		'post_type' => 'post',
		'taxonomy' => 'category',
		'include' => '',
		'exclude' => '',
		'hide_empty' => 1,
		'posts_per_page' => -1,
		'order' => 'DESC',
		'orderby' => 'date',
		'description' => '',
		'woo_image' => '',
		'count' => '',
		'meta' => '',
		'all_link' => '',
		'all_link_label' => __('View All &raquo;', 'very-simple-knowledge-base'),
		'no_title_label' => __('(no title)', 'very-simple-knowledge-base')
	), $vskb_atts);
	// set class for ul
	if ($vskb_atts['columns'] == '0') {
		$columns = 'vskb-custom';
	} else if ($vskb_atts['columns'] == '1') {
		$columns = 'vskb-one';
	} elseif ($vskb_atts['columns'] == '2') {
		$columns = 'vskb-two';
	} elseif ($vskb_atts['columns'] == '3') {
		$columns = 'vskb-three';
	} else {
		$columns = 'vskb-four';
	}
	// initialize output
	$output = '';
	// main container
	if ( empty($vskb_atts['class']) ) {
		$custom_class = '';
	} else {
		$custom_class = ' '.$vskb_atts['class'];
	}
	$output .= '<ul id="vskb" class="'.$columns.$custom_class.'">';
		// categories query
		$vskb_cat_args = array(
			'order' => 'ASC',
			'orderby' => 'name',
			'taxonomy' => $vskb_atts['taxonomy'],
			'include' => $vskb_atts['include'],
			'exclude' => $vskb_atts['exclude'],
			'hide_empty' => $vskb_atts['hide_empty']
		);
		$vskb_cats = get_categories( $vskb_cat_args );
		foreach ($vskb_cats as $cat) :
			if ($vskb_atts['count'] == "true") {
				$vskb_count = '<span class="vskb-post-count">('.$cat->category_count.')</span>';
			} else {
				$vskb_count = '';
			}
			// include template
			include 'vskb-template.php';
		endforeach;
	$output .= '</ul>';
	// return output
	return $output;
}
add_shortcode('knowledgebase', 'vskb_shortcode');

// shortcode for one column
function vskb_one_column() {
	return '<p>This shortcode is deprecated. Use <code>[knowledgebase columns="1"]</code> instead.</p>';
}
add_shortcode('knowledgebase-one', 'vskb_one_column');

// shortcode for two columns
function vskb_two_columns() {
	return '<p>This shortcode is deprecated. Use <code>[knowledgebase columns="2"]</code> instead.</p>';
}
add_shortcode('knowledgebase-two', 'vskb_two_columns');

// shortcode for three columns
function vskb_three_columns() {
	return '<p>This shortcode is deprecated. Use <code>[knowledgebase columns="3"]</code> instead.</p>';
}
add_shortcode('knowledgebase-three', 'vskb_three_columns');
